Skip to main content
POST
/
api
/
webhooks
Create a webhook
curl --request POST \
  --url https://convertly.sh/api/webhooks \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "endpoint_url": "<string>",
  "event_types": []
}
'
{
  "error": "<string>",
  "upgradeUrl": "<string>"
}

Authorizations

Authorization
string
header
required

Dashboard-generated Convertly API key. Keys currently begin with cvly_.

Body

application/json
endpoint_url
string<uri>
required
event_types
enum<string>[]
required
Available options:
conversion.started,
conversion.progress,
conversion.completed,
conversion.failed,
file.uploaded,
media.tool.completed,
media.tool.failed,
video.stream.started,
video.stream.ready,
video.stream.failed,
workflow.completed

Response

Created webhook with secret